@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&family=Notable&display=swap');
:root {
	--fontbody: 'Jost', sans-serif;
	--fonthead: 'Notable', sans-serif;
	transition: all 0.3s ease;
}

::selection {
  color: var(--bg);
  background: var(--accb);
}

@media (prefers-color-scheme: dark) {
  :root {
	--acc: #b7b7b7;
	--accb: #939393;
	--txt: #fefefe;
	--bg: #0b0b0b;
	--card: #202020;
	--logo: url('img/gru-white.png');
}
.toggle {
	--acc: #373737;
	--accb: #585858;
	--txt: #181818;
	--bg: #fefefe;
	--card: #ffffff;
	--logo: url('img/gru-black.png');
}

}

@media (prefers-color-scheme: light) {
  :root {
	--acc: #373737;
	--accb: #585858;
	--txt: #181818;
	--bg: #fefefe;
	--card: #ffffff;
	--logo: url('img/gru-black.png');
}
.toggle {
	--acc: #b7b7b7;
	--accb: #939393;
	--txt: #fefefe;
	--bg: #0b0b0b;
	--card: #202020;
	--logo: url('img/gru-white.png');
}
}

body {
	margin: 0;
	background-color: var(--bg);
	color: var(--txt);
	font-family: var(--fontbody);
	font-size: 1rem;
}

h1, h2, h3 {
	font-family: var(--fonthead);
	letter-spacing: 3px;
	font-variant: small-caps;
	margin-bottom: 0;
}

h1 {
	margin-top: 0;
	font-size: 3rem;
}

h1::first-letter, h2::first-letter {
	color:var(--acc);
}

h2 {
	margin-top: 0;
	font-size: 2.3rem;
}

a {
	text-decoration: none;
	color: var(--accb);
	transition: all 0.3s ease;
	font-weight: bold;
	border-bottom: 2px solid var(--acc);
	box-shadow: inset 0 0 0 var(--acc);
	display: inline-block;
	line-height: 0.9;
}

.accent {
	color: var(--acc);
}

.big {
	font-variant: small-caps;
	font-size: 1.4rem;
	line-height: initial;
	border-bottom: 0;
	transition: all 0.5s ease;
	padding: 0 0.5rem;
}

a:hover {
	box-shadow: inset 0 -4rem 0 var(--acc);
	color: var(--bg);
}

.btn, .sidebar a {
	line-height: 1;
	font-weight: bold;
	font-variant: small-caps;
	font-size: 1.2rem;
	padding: 7px;
	border-width: 3px 0;
	border-style: solid;
	text-decoration: none;
	transition: all 0.3s ease;
}

.btn {
	border-color: var(--accb);
	background: var(--bg);
	color: var(--accb);
	box-shadow: inset 0 0 0 var(--accb);
}

a.btn:hover {
	box-shadow: inset 0 -2.5rem 0 var(--acc);
	color: var(--bg);
	border-color: var(--acc);
}

.title {
	margin-bottom: 0;
}

.subtitle {
	font-size: 1.5rem;
	margin-top: 0;
	color: var(--accb);
	font-variant: small-caps;
}

.bg-img-container {
	position: sticky;
	top: 100px;
	z-index: -9;
	height: 100%;
	width: 100%;
	margin-bottom: -50vh;
}

.bg-img-sticky {
	height: 70vh;
	width:  calc(100%);
	margin: 100px 0 100px 0;
	background-image: url(https://64.media.tumblr.com/a0ff24b1aac10bfb840869bf4f42990c/41b0464d6b0d3c8d-47/s2048x3072/960937c79496a4aae8214daa31c3d4c3906dbd28.png);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	border-width: 4px 0;
	border-color: var(--acc);
	border-style: solid;
}

.row {
	display: flex;
	flex-flow: row wrap;
}

.center {
	justify-content: center;
	text-align: center;
}

.poster .col {
	flex: 1 0 25%;
	padding: 1rem;
}

.poster img {
	max-width: 100%;
	max-height: 350px;
	margin-bottom: -0.5rem;
	border-width: 4px 0;
	border-color: var(--acc);
	border-style: solid;
	transition: all 0.5s ease;
	opacity: 0.8;
}

.poster a {
	transition: all 0.5s ease;
	box-shadow: inset 0 0 0 var(--acc);
	border-bottom: 0;
}

.poster .big {
	display: block;
	padding: 10px 0 5px;
}

.poster a:hover {
	box-shadow: inset 0 -390px 0 var(--acc);
}

aside {
	flex: 0 0 15%;
	order: 2;
	
}
.sidebar .img::before {
	content: var(--logo);
	height: 150px;
	width: 150px;
	margin: 0 auto;
	display: block;
}

.sidebar {
	position: sticky;	
	top: 30px;
	display: flex;
	flex-flow: column wrap;
}

.sidebar ul {
	display: flex;
	text-align: center;
	flex-flow: column wrap;
	list-style: none;
	padding-left: 0;
}

.sidebar a {
	display: block;
	margin: 10px 20px 0;
	border-color: var(--acc);
	background: var(--card);
	color: var(--acc);
	box-shadow: inset 0 0 0 var(--acc);
}

.sidebar a:hover {
	box-shadow: inset 0 -2.5rem 0 var(--acc);
	color: var(--bg);
}

main {
	flex: 0 0 57%;
	order: 1;
}

.main-content {
	background: var(--card);
	padding: 1rem 1.5rem;
	border-width: 4px 0;
	border-style: solid;
	border-color: var(--acc);
	min-height: 60vh;
}

.main-row {
	justify-content: end;
}

.btn-row {
	display: flex; justify-content: space-between; margin-top: 2rem;
}

footer {
	margin: 1rem 0 2rem;
}

@media (max-width: 960px) {
	
	aside {flex: 0 0 25%;}

	main {flex: 1 0 50%;}
	
	.main-content {padding: 1rem;}
}

@media (max-width: 768px) {
	.row {flex-direction: column;}

	.row.poster {flex-direction: row;}

	.poster .col {flex: 0 0 40%;}

	.bg-img-container {position: relative; top: 0; margin-bottom:-48px;}

	.bg-img-sticky {margin: 0 ; height: 30vh;}
	
	main, aside {flex: 0 0 100%;}

	main {order: 2;}

	aside {order: 1;}
	
	.main-content {padding: 1rem;}
	
	footer {text-align: center; padding: 1rem;}

	.sidebar {position: relative; top: 0; margin-right: 0; margin-top: -25px;}

	.sidebar ul {flex-flow: row wrap; justify-content: center;}

	.sidebar a {width: 100px; margin: 5px 5px}
}